Page 3 of 3

Re: Fix for linux-3.x support in phc-k8

Posted: Thu 24. Jul 2014, 23:17
by DavidG
Thanks for the feedback! I'm already working on a fix. I will contact you when it is ready to be tested ;)

Re: Fix for linux-3.x support in phc-k8

Posted: Sat 4. Oct 2014, 18:22
by ryszardzonk
hi DavidG. Have You got a chance to work on driver changes? If not perhaps now is a good time hence 3.17 kernel is around the corner ;)

Re: Fix for linux-3.x support in phc-k8

Posted: Thu 6. Nov 2014, 23:08
by leycec
I'd like to second the request for modern kernel support. phc-k8 currently fails to compile under kernels 3.15 through 3.17 – which is a problem.

Gentoo recently bumped kernel 3.16.5 to stable, implying phc-k8 to be unusable under Gentoo without explicitly blocking all post-3.15 kernels. (For obvious reasons, that isn't happening.)

phc-k8 was last updated nearly a year ago, suggesting the project to be on hiatus if not life support. While I accept that DavidG and company are probably quite busy with other (probably paid) projects, some semblance of a status update would be helpful.

Whether the project ultimately lives or dies, thanks for all the undervolted fish. :cry:

Re: Fix for linux-3.x support in phc-k8

Posted: Thu 13. Nov 2014, 23:57
by DavidG
I uploaded a new beta driver in the Test Release topic: http://www.linux-phc.org/forum/viewtopic.php?f=13&t=38

Please report whether it works or not, at the moment I don't have anything to test on (temporarily).

Re: Fix for linux-3.x support in phc-k8

Posted: Wed 19. Nov 2014, 02:04
by lula32
Just tried 0.4.6b1 on 3.18-rc5. Had to replace strict_strtoul() with kstrtoul() in phc-k8.c, but then it worked like a charm! thanks!

Re: Fix for linux-3.x support in phc-k8

Posted: Thu 20. Nov 2014, 15:55
by DavidG
Thanks for testing and your feedback! :) I'll fix it and hopefully I'll be able to release a stable version ASAP. There have been a couple of downloads, but you are the first confirming it works, so thanks!

Re: Fix for linux-3.x support in phc-k8

Posted: Sun 30. Nov 2014, 02:05
by leycec
Cheers, Dave. Like lula32, I recently compiled 0.4.6b1 against a 3.16.5 kernel. Unlike lula32, compilation succeeded without requiring hand modification to "phc-k8.c", (hopefully) implying 0.4.6b1 to be compatible as is with at least the 3.16.x kernel line.

Thanks again! You're awesome.

Re: Fix for linux-3.x support in phc-k8

Posted: Mon 29. Dec 2014, 01:34
by DavidG
FWIW, I just released phc-k8 0.4.6. Thanks to everyone who tested the beta driver!